# PCE source code
The PCE is part of Intel(R) Software Guard Extensions for Linux\* OS which is published in [linux-sgx](https://github.com/intel/linux-sgx/) Github repository. The libsgx_pce.signed.so in prebuilt package is built by [pce](https://github.com/intel/linux-sgx/tree/master/psw/ae/pce) with tag [SGX 2.9](https://github.com/intel/linux-sgx/releases/tag/sgx_2.9) and signed by Intel.

# QE3 source code
The QE3 is part of [Intel(R) Software Guard Extensions Data Center Attestation Primitives](https://github.com/intel/SGXDataCenterAttestationPrimitives/) Github repository. The libsgx_qe3.signed.so in prebuilt package is built by [qe3](https://github.com/intel/SGXDataCenterAttestationPrimitives/tree/master/QuoteGeneration/quote_wrapper/quote/enclave) with tag [DCAP 1.5](https://github.com/intel/SGXDataCenterAttestationPrimitives/releases/tag/DCAP_1.5) and signed by Intel.

# QVE source code
The QVE is part of [Intel(R) Software Guard Extensions Data Center Attestation Primitives](https://github.com/intel/SGXDataCenterAttestationPrimitives/) Github repository. The libsgx_qve.signed.so in prebuilt package is built by [qve](https://github.com/intel/SGXDataCenterAttestationPrimitives/tree/master/QuoteVerification/QvE/Enclave) with tag [DCAP 1.5](https://github.com/intel/SGXDataCenterAttestationPrimitives/releases/tag/DCAP_1.5) and signed by Intel.
